Debian Bug report logs - #497667
ITP: sqlmap -- automatic SQL injection tool

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Bernardo Damele A. G." <bernardo.damele@gmail.com>

Date: Wed, 3 Sep 2008 14:21:01 UTC

Owned by: "Bernardo Damele A. G." <bernardo.damele@gmail.com>

Severity: wishlist

Fixed in version sqlmap/0.6.4-1

Done: bernardo.damele@gmail.com (Bernardo Damele A. G.)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#497667; Package sqlmap. Full text and rfc822 format available.

Acknowledgement sent to "Bernardo Damele A. G." <bernardo.damele@gmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Bernardo Damele A. G." <bernardo.damele@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: sqlmap - - automatic SQL injection tool
Date: Wed, 03 Sep 2008 16:19:48 +0200
Package: sqlmap
Version: 0.6-2
Severity: wishlist

* Package name : sqlmap
Version : 0.6
Upstream Author : Bernardo Damele A. G. <bernardo.damele@gmail.com>
* URL : http://sqlmap.sourceforge.net
* License : GPL
Description : sqlmap goal is to detect and take advantage of SQL
injection vulnerabilities on web applications. Once it detects one or
more SQL injections on the target host, the user can choose among a
variety of options to perform an extensive back-end database management
system fingerprint, retrieve DBMS session user and database, enumerate
users, password hashes, privileges, databases, dump entire or user's
specific  DBMS tables/columns, run his own SQL SELECT statement, read
specific files on the file system and much more.

RFS :
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=sqlmap

-- System Information:
Debian Release: lenny/sid
  APT prefers hardy-updates
  APT policy: (500, 'hardy-updates'), (500, 'hardy-security'), (500,
'hardy-proposed'), (500, 'hardy')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-21-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sqlmap depends on:
ii  python                    2.5.2-0ubuntu1 An interactive high-level
object-o
ii  python-support            0.7.5ubuntu1   automated rebuilding
support for p

sqlmap recommends no packages.


-- 
Bernardo Damele A. G.

E-mail / Jabber: bernardo.damele (at) gmail.com
Mobile number: +39-3493821385
PGP Key ID: 0x05F5A30F




Bug reassigned from package `sqlmap' to `wnpp'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 03 Sep 2008 14:57:16 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: sqlmap -- automatic SQL injection tool' from `ITP: sqlmap - - automatic SQL injection tool'. Request was from Riccardo Stagni <unriccio@email.it> to control@bugs.debian.org. (Sun, 07 Sep 2008 18:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#497667; Package wnpp. (Wed, 15 Oct 2008 17:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximilian Gaß <mxey@cloudconnected.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 15 Oct 2008 17:12:02 GMT) Full text and rfc822 format available.

Message #14 received at 497667@bugs.debian.org (full text, mbox):

From: Maximilian Gaß <mxey@cloudconnected.org>
To: 497667@bugs.debian.org
Subject: Re: ITP: sqlmap - automatic SQL injection tool
Date: Wed, 15 Oct 2008 19:09:50 +0200
If you already packaged sqlmap, you should rather send an RFS to
debian-mentors instead of just filing an ITP.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#497667; Package wnpp. (Wed, 15 Oct 2008 17:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximilian Gaß <mxey@cloudconnected.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 15 Oct 2008 17:15:05 GMT) Full text and rfc822 format available.

Message #19 received at 497667@bugs.debian.org (full text, mbox):

From: Maximilian Gaß <mxey@cloudconnected.org>
To: 497667@bugs.debian.org
Subject: Re: ITP: sqlmap - automatic SQL injection tool
Date: Wed, 15 Oct 2008 19:11:55 +0200
On Wed, Oct 15, 2008 at 07:09:50PM +0200, Maximilian Gaß wrote:
> If you already packaged sqlmap, you should rather send an RFS to
> debian-mentors instead of just filing an ITP.

Sorry, I just saw you already did that. It just looked weird you put an
RFS statement into this ITP ;-)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#497667; Package wnpp. (Thu, 16 Oct 2008 09:19:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bernardo Damele A. G." <bernardo.damele@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 16 Oct 2008 09:19:13 GMT) Full text and rfc822 format available.

Message #24 received at 497667@bugs.debian.org (full text, mbox):

From: "Bernardo Damele A. G." <bernardo.damele@gmail.com>
To: "Maximilian Gaß" <mxey@cloudconnected.org>, 497667@bugs.debian.org
Subject: Re: Bug#497667: ITP: sqlmap - automatic SQL injection tool
Date: Thu, 16 Oct 2008 10:11:53 +0100
Hi Maximilian,

I am new to Debian packaging, but I think the package now is properly
done. You can find it on mentors[1] repository. Let me know if you
need help to run it.
I still keep on waiting a Debain developer to upload it to the
official repository..

[1] http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=sqlmap

Cheers,
Bernardo


On Wed, Oct 15, 2008 at 18:11, Maximilian Gaß <mxey@cloudconnected.org> wrote:
> On Wed, Oct 15, 2008 at 07:09:50PM +0200, Maximilian Gaß wrote:
>> If you already packaged sqlmap, you should rather send an RFS to
>> debian-mentors instead of just filing an ITP.
>
> Sorry, I just saw you already did that. It just looked weird you put an
> RFS statement into this ITP ;-)
>
>
>
> --
> To unsubscribe, send mail to 497667-unsubscribe@bugs.debian.org.
>



-- 
Bernardo Damele A. G.

E-mail / Jabber: bernardo.damele (at) gmail.com
Mobiles: +39-3493821385 (IT), +44-(0)7788962949 (UK)
PGP Key ID: 0x05F5A30F




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#497667; Package wnpp. (Fri, 07 Nov 2008 15:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <p.chifflier@inl.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 07 Nov 2008 15:51:08 GMT) Full text and rfc822 format available.

Message #29 received at 497667@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <p.chifflier@inl.fr>
To: "Bernardo Damele A. G." <bernardo.damele@gmail.com>
Cc: 497667@bugs.debian.org
Subject: sqlmap
Date: Fri, 7 Nov 2008 16:49:55 +0100
[Message part 1 (text/plain, inline)]
Hi,

Are you still looking for a sponsor ? I have looked at the sqlmap
package, and it looks quite clean.

I only have a few remarks:
- it's subjective, but I'd advise to prefer quilt over dpatch
- you should rephrase the description to something readable, splitting
  lines and adding some CR

If you want, I can sponsor you for this package, it would be nice to
have sqlmap in Debian :)

Cheers,
Pierre

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#497667; Package wnpp. (Fri, 07 Nov 2008 16:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bernardo Damele A. G." <bernardo.damele@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 07 Nov 2008 16:15:14 GMT) Full text and rfc822 format available.

Message #34 received at 497667@bugs.debian.org (full text, mbox):

From: "Bernardo Damele A. G." <bernardo.damele@gmail.com>
To: Pierre Chifflier <p.chifflier@inl.fr>, 497667@bugs.debian.org
Subject: Re: Bug#497667: sqlmap
Date: Fri, 07 Nov 2008 16:14:19 +0000
Hi Pierre,

Yes, I am still looking for a sponsor.
I handled the patch files with dpatch simply because I am not used to quilt.
Feel free to propose a new description and I will consider to update it,
anyway I do not see your point about CR and, if you mean the description
in debian/control file, it's the same of the sqlmap main site[1]. Isn't
it clear enough?

By the way I just reuploaded to mentors server the updated version of
sqlmap[2] (0.6.2).

[1] http://sqlmap.sourceforge.net
[2]
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=sqlmap
and http://mentors.debian.net/debian/pool/main/s/sqlmap/

Thanks in advance,
Bernardo

Pierre Chifflier wrote:
> Hi,
> 
> Are you still looking for a sponsor ? I have looked at the sqlmap
> package, and it looks quite clean.
> 
> I only have a few remarks:
> - it's subjective, but I'd advise to prefer quilt over dpatch
> - you should rephrase the description to something readable, splitting
>   lines and adding some CR
> 
> If you want, I can sponsor you for this package, it would be nice to
> have sqlmap in Debian :)
> 
> Cheers,
> Pierre
> 

-- 
Bernardo Damele A. G.

E-mail / Jabber: bernardo.damele (at) gmail.com
Mobiles: +39-3493821385 (IT), +44-(0)7788962949 (UK)
PGP Key ID: 0x05F5A30F




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#497667; Package wnpp. (Fri, 07 Nov 2008 16:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <p.chifflier@inl.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 07 Nov 2008 16:45:03 GMT) Full text and rfc822 format available.

Message #39 received at 497667@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <p.chifflier@inl.fr>
To: "Bernardo Damele A. G." <bernardo.damele@gmail.com>
Cc: 497667@bugs.debian.org
Subject: Re: Bug#497667: sqlmap
Date: Fri, 7 Nov 2008 17:43:57 +0100
On Fri, Nov 07, 2008 at 04:14:19PM +0000, Bernardo Damele A. G. wrote:
> Hi Pierre,
> 
> Yes, I am still looking for a sponsor.
> I handled the patch files with dpatch simply because I am not used to quilt.

I only said that because quilt is much more flexible. Of course, you can
use dpatch if you prefer.

> Feel free to propose a new description and I will consider to update it,
> anyway I do not see your point about CR and, if you mean the description
> in debian/control file, it's the same of the sqlmap main site[1]. Isn't
> it clear enough?

Fair enough, description is ok for me.

> 
> By the way I just reuploaded to mentors server the updated version of
> sqlmap[2] (0.6.2).

Yes, I have seen it using the watch file.

Package looks fine and is lintian clean, so I'm ok. Do you want me to
upload it ?

Pierre




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#497667; Package wnpp. (Fri, 07 Nov 2008 16:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bernardo Damele A. G." <bernardo.damele@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 07 Nov 2008 16:48:02 GMT) Full text and rfc822 format available.

Message #44 received at 497667@bugs.debian.org (full text, mbox):

From: "Bernardo Damele A. G." <bernardo.damele@gmail.com>
To: Pierre Chifflier <p.chifflier@inl.fr>
Cc: 497667@bugs.debian.org
Subject: Re: Bug#497667: sqlmap
Date: Fri, 07 Nov 2008 16:45:48 +0000
Hi Pierre,

yes, go for it. Take it from mentors.debian.net repository because
sqlmap version 0.6.2 has few major bugs fixed.

Thanks,
Bernardo

Pierre Chifflier wrote:
> On Fri, Nov 07, 2008 at 04:14:19PM +0000, Bernardo Damele A. G. wrote:
>> Hi Pierre,
>>
>> Yes, I am still looking for a sponsor.
>> I handled the patch files with dpatch simply because I am not used to quilt.
> 
> I only said that because quilt is much more flexible. Of course, you can
> use dpatch if you prefer.
> 
>> Feel free to propose a new description and I will consider to update it,
>> anyway I do not see your point about CR and, if you mean the description
>> in debian/control file, it's the same of the sqlmap main site[1]. Isn't
>> it clear enough?
> 
> Fair enough, description is ok for me.
> 
>> By the way I just reuploaded to mentors server the updated version of
>> sqlmap[2] (0.6.2).
> 
> Yes, I have seen it using the watch file.
> 
> Package looks fine and is lintian clean, so I'm ok. Do you want me to
> upload it ?
> 
> Pierre
> 

-- 
Bernardo Damele A. G.

E-mail / Jabber: bernardo.damele (at) gmail.com
Mobiles: +39-3493821385 (IT), +44-(0)7788962949 (UK)
PGP Key ID: 0x05F5A30F




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 13 Nov 2008 19:06:21 GMT) Full text and rfc822 format available.

Owner recorded as "Bernardo Damele A. G." <bernardo.damele@gmail.com>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 14 Nov 2008 01:21:18 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Mon, 15 Dec 2008 02:57:05 GMT) Full text and rfc822 format available.

Reply sent to bernardo.damele@gmail.com (Bernardo Damele A. G.):
You have taken responsibility. (Thu, 07 May 2009 20:24:04 GMT) Full text and rfc822 format available.

Notification sent to "Bernardo Damele A. G." <bernardo.damele@gmail.com>:
Bug acknowledged by developer. (Thu, 07 May 2009 20:24:04 GMT) Full text and rfc822 format available.

Message #55 received at 497667-close@bugs.debian.org (full text, mbox):

From: bernardo.damele@gmail.com (Bernardo Damele A. G.)
To: 497667-close@bugs.debian.org
Subject: Bug#497667: fixed in sqlmap 0.6.4-1
Date: Thu, 07 May 2009 19:54:18 +0000
Source: sqlmap
Source-Version: 0.6.4-1

We believe that the bug you reported is fixed in the latest version of
sqlmap, which is due to be installed in the Debian FTP archive:

sqlmap_0.6.4-1.diff.gz
  to pool/main/s/sqlmap/sqlmap_0.6.4-1.diff.gz
sqlmap_0.6.4-1.dsc
  to pool/main/s/sqlmap/sqlmap_0.6.4-1.dsc
sqlmap_0.6.4-1_all.deb
  to pool/main/s/sqlmap/sqlmap_0.6.4-1_all.deb
sqlmap_0.6.4.orig.tar.gz
  to pool/main/s/sqlmap/sqlmap_0.6.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497667@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bernardo Damele A. G. <bernardo.damele@gmail.com> (supplier of updated sqlmap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue,  3 Feb 2009 23:30:00 +0000
Source: sqlmap
Binary: sqlmap
Architecture: source all
Version: 0.6.4-1
Distribution: unstable
Urgency: low
Maintainer: Bernardo Damele A. G. <bernardo.damele@gmail.com>
Changed-By: Bernardo Damele A. G. <bernardo.damele@gmail.com>
Description: 
 sqlmap     - automatic SQL injection tool
Closes: 497667
Changes: 
 sqlmap (0.6.4-1) unstable; urgency=low
 .
   * Initial release (Closes: #497667)
Checksums-Sha1: 
 7c22fe29607004fc6d66ae33458a4240e38a84be 1006 sqlmap_0.6.4-1.dsc
 c66732a1d8c127099dbb16c7a1dcc3a70deec5c7 163999 sqlmap_0.6.4.orig.tar.gz
 93a72de77314715c951c6d969178622cc715ef29 5432 sqlmap_0.6.4-1.diff.gz
 f95c11fa1eadfafdd742fb7416eebfd37f4ceee4 132300 sqlmap_0.6.4-1_all.deb
Checksums-Sha256: 
 73b39bf34dc4f1f052675bf196c81dd120a3ea581cd48fb3f19cddc89a058390 1006 sqlmap_0.6.4-1.dsc
 b7406e9c708356f8faf337957aeb1cd8d8d46a73b9f7b3aa6a1531b55f3e30f9 163999 sqlmap_0.6.4.orig.tar.gz
 f5203ca9e6685e8a4a785239e87f207b5e6d2ca010555eb509bcbe1659d5ee6f 5432 sqlmap_0.6.4-1.diff.gz
 25645adab5909a85fb1499520552b758e420578da8eef2daeb501b82171a975d 132300 sqlmap_0.6.4-1_all.deb
Files: 
 9138bc6312b6d8f43764e7f6dd7d02b1 1006 net extra sqlmap_0.6.4-1.dsc
 4d311d6ad3f4295384492dc2d482f595 163999 net extra sqlmap_0.6.4.orig.tar.gz
 67e6a95a4dcee1e312bb030e70ead744 5432 net extra sqlmap_0.6.4-1.diff.gz
 a893901eac18d4cc29c6932844ab153d 132300 net extra sqlmap_0.6.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJtpVDtwVrWo1fQMsRAldoAJ47CrkU/ff5QprW+4BwQ0YOyBHVgACgpFFP
1JVUKuhCRSjKXxHDnwxSChQ=
=W+4s
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 05 Jun 2009 07:35:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:19:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.